## icewm 1.3.6

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 srcdir     = .
 top_srcdir = .
 
-PACKAGE = 
-VERSION = 1.3.4pre2
+PACKAGE = icewm
+VERSION = 1.3.6
 
 PREFIX = /usr
 BINDIR = /usr/X11R6/bin
@@ -18,7 +18,6 @@
 KDEDIR = /usr/share
 DOCDIR = /usr/share/doc
 MANDIR = /usr/share/man
-GWMDIR = 
 
 EXEEXT = 
 
@@ -43,8 +42,6 @@
 THEMES      = nice motif win95 warp3 warp4 metal2 gtk2 Infadel2 nice2 \
               icedesert yellowmotif
 
-GNOMEFILES  = lib/IceWM.desktop
-
 all:		base nls
 install:	install-base install-nls 
 
@@ -56,8 +53,6 @@
 
 nls:
 	@cd po; $(MAKE) all
-
-gnome:
 
 srcclean:
 	@cd src; $(MAKE) clean
@@ -140,9 +135,10 @@
 		$(INSTALLMAN) doc/$$man.man $(DESTDIR)$(MANDIR)/man1/$$man; \
 	done
 
-install-gnome: gnome
+install-desktop:
 	@echo ------------------------------------------
-	@echo Installing icewm-gnome in $(DESTDIR)$(GWMDIR)
-	@$(INSTALLDIR) "$(DESTDIR)$(GWMDIR)"
-	@$(INSTALLLIB) "$(top_srcdir)/lib/IceWM.desktop" "$(DESTDIR)$(GWMDIR)"
+	@$(INSTALLDIR) "$(DESTDIR)/usr/share/xsessions"
+	@$(INSTALLDIR) "$(DESTDIR)/usr/share/applications"
+	@$(INSTALLLIB) "$(top_srcdir)/lib/icewm-session.desktop" "$(DESTDIR)/usr/share/xsessions/icewm-session.desktop"
+	@$(INSTALLLIB) "$(top_srcdir)/lib/icewm.desktop" "$(DESTDIR)/usr/share/applications/icewm.desktop"
 	@echo ------------------------------------------
