=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-VERSION = 1.3.4pre2
-HOSTOS  = Linux 2.6.27.21-170.2.56.fc10.i686
+VERSION = 1.3.6
+HOSTOS  = Linux 2.6.27.41-170.2.117.fc10.i686
 HOSTCPU = i686
 
 LIBDIR = /usr/share/icewm
@@ -34,7 +34,7 @@
                 -DICEHELPEXE='"icehelp$(EXEEXT)"' \
                 -DICEHELPIDX='"$(DOCDIR)/icewm-$(VERSION)/icewm.html"'
 
-CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wconversion -Wwrite-strings -Winline -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
+CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wwrite-strings -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
 	         -I/usr/include/freetype2   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    # `fc-config --cflags`
 LFLAGS =	 
 LIBS =           `pkg-config gdk-pixbuf-xlib-2.0 --libs`
