=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-VERSION = 1.3.6
-HOSTOS  = Linux 2.6.27.41-170.2.117.fc10.i686
-HOSTCPU = i686
+VERSION = 1.3.7pre2
+HOSTOS  = Linux 2.6.33-1.fc13.x86_64
+HOSTCPU = x86_64
 
 LIBDIR = /usr/share/icewm
 CFGDIR = /etc/icewm
@@ -35,12 +35,12 @@
                 -DICEHELPIDX='"$(DOCDIR)/icewm-$(VERSION)/icewm.html"'
 
 CXXFLAGS =      -fpermissive -Wall -Wpointer-arith -Wwrite-strings -Woverloaded-virtual -W -fno-exceptions -fno-rtti -g -O2 $(DEBUG) $(DEFS) `pkg-config gdk-pixbuf-xlib-2.0 --cflags` \
-	         -I/usr/include/freetype2   -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include    # `fc-config --cflags`
+	         -I/usr/include/freetype2   -pthread -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include    # `fc-config --cflags`
 LFLAGS =	 
 LIBS =           `pkg-config gdk-pixbuf-xlib-2.0 --libs` 
 
 CORE_LIBS =     -lXinerama  -lSM -lICE  -lX11   -lXrandr -lXrender -lXext -lXft -lXrender -lfontconfig -lfreetype -lX11   # `fc-config --libs`
-IMAGE_LIBS =    -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0  
+IMAGE_LIBS =    -pthread -lgdk_pixbuf_xlib-2.0 -lgdk_pixbuf-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
 AUDIO_LIBS =    
 GNOME1_LIBS =    
 GNOME2_LIBS =
