=== debian/changelog ===
icewm (1.3.7~pre2-1) unstable; urgency=low

  * New upstream preview release
  * Minor packaging fixes
  * Migrated to dpkg format 3.0 (quilt)

 -- Eduard Bloch <blade@debian.org>  Thu, 29 Apr 2010 21:45:34 +0200

icewm (1.3.6-3) unstable; urgency=low

  * Fixed file descriptor leak in ifstate_exact_check.dpatch

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Apr 2010 16:04:46 +0200

icewm (1.3.6-2) unstable; urgency=low

  * adaptations to use Iceweasel without Firefox compatibility wrappers
  * imap_unseen.dpatch: better display of unseen messages in IMAP folders,
    patch by Alexander Galanin with minor changes (closes: #539956)
  * ifstate_exact_check.dpatch: explicite check of certain interface's state
    instead of mere looking for its presense (closes: #563731)

 -- Eduard Bloch <blade@debian.org>  Mon, 05 Apr 2010 13:29:36 +0200

icewm (1.3.6-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Sat, 16 Jan 2010 18:27:20 +0100

icewm (1.3.6~pre2-1) unstable; urgency=low

  * New upstream release
    + solves rare cases of X11 control lockup (closes: #563633)

 -- Eduard Bloch <blade@debian.org>  Mon, 04 Jan 2010 21:43:29 +0100

icewm (1.3.6~pre1-1) unstable; urgency=low

  * New upstream release
    + misc_fixes.dpatch and iconify_on_wm_hints.dpatch fully integrated by
      upstream, disabled here
    + fixes shape drawing when gradients are in use (closes: #544222)

 -- Eduard Bloch <blade@debian.org>  Sun, 03 Jan 2010 20:32:48 +0100

icewm (1.3.5-2) unstable; urgency=low

  * misc_fixes.dpatch: reviewed and reenabled still required fixes 
    (closes: #552292 and closes some others again)

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Dec 2009 19:42:29 +0100

icewm (1.3.5-1) unstable; urgency=low

  * New upstream release
  * misc_fixes.dpatch: disabled, applied by upstream
  * package_build_fixes.dpatch: stripped down, partially applied by
    upstream. Print latency:... messages only when measure_latency 
    variable is set (closes: #561404)
  * i18n_updates.dpatch: refreshed for 1.3.5, added updated 
    pt_BR.po (closes: #561620)

 -- Eduard Bloch <blade@debian.org>  Sat, 19 Dec 2009 21:53:41 +0100

icewm (1.2.37+1.3.4pre2-8) unstable; urgency=medium

  * misc_fixes.dpatch: array delete[] fix, by George Danchev (closes: #552371)

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 20:54:35 +0100

icewm (1.2.37+1.3.4pre2-7) unstable; urgency=medium

  * misc_fixes.dpatch: force creation of nested submenu prior to adding the
    theme entry, thus preventing letter case related sorting confusgion later
  * misc_fixes.dpatch: skip NET_WM_ICON window icon method when the result has
    no contents, fixing fallback to legacy icons resolving (closes: #552292)

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 18:59:27 +0100

icewm (1.2.37+1.3.4pre2-6) unstable; urgency=medium

  * i18n_updates.dpatch: included patch from Michael Kostylev to use proper
    format strings for network interface tooltip (closes: #551456, #539122)
  * misc_fixes.dpatch: implemented mstring::compareTo(...) correctly, fixing
    sorting of theme menu entries correctly. Also resolved calloc/delete
    mismatch in aapm.cc.

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Oct 2009 01:11:25 +0200

icewm (1.2.37+1.3.4pre2-5) unstable; urgency=low

  * revival of tray_hotfixes.dpatch: revert of a suspicious upstream change
    which seems to cause races and therefore abort display of tray icons
    completely (thanks to Stanislav Maslovski, closes: #474495)
  * misc_fixes.dpatch: added patch from Vladislav Naumov to restore window
    size parameters after fullscreen mode was requested from the application
    itself (closes: #549896)
  * debian_defaults.dpatch: added XF86WWW key config to support weird
    keyboards (closes: #513176). Also changed google.com to yahoo.com (no
    special reason, just keeping it fair).

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Oct 2009 20:56:24 +0200

icewm (1.2.37+1.3.4pre2-4) unstable; urgency=low

  * quick workaround for icewm crash (causing endless restarting) on oversized
    X properties (closes: #538010, #535887)
  * i18n updates from Ingo Brueckl, Alexander Galanin

 -- Eduard Bloch <blade@debian.org>  Sun, 26 Jul 2009 01:53:52 +0200

icewm (1.2.37+1.3.4pre2-3) unstable; urgency=low

  * Fixed installation of translations (SF bug#2816623, closes: #530650)
  * misc_fixes.dpatch: parser fix to protect against faulty data
    in wmicon blobs (closes: #534490)
  * i18n_updates.dpatch: Brazilian translation updates by Sérgio Cipolla,
    German translation updates by Eduard Bloch (closes: #533829)
  * Added permanent dh_icons call and appropriate debhelper dependency
  * Forced correct path of the HTML help files in the help browser startup

 -- Eduard Bloch <blade@debian.org>  Sat, 04 Jul 2009 19:07:55 +0200

icewm (1.2.37+1.3.4pre2-2) unstable; urgency=low

  * Fixed Build-Deps (added libgnomeui-dev)

 -- Eduard Bloch <blade@debian.org>  Tue, 26 May 2009 00:58:50 +0200

icewm (1.2.37+1.3.4pre2-1) unstable; urgency=low

  * Based on upstream development branch release
    + using libgdk_pixbuf instead of Imlib1.x which is now deprecated 
      in Debian Unstable (closes: #456127)
    + fixes black application icon problem (closes: #354434, maybe also
      closes: #288590, #298995)
  * less verbosity of update-alternatives (closes: #508086)

 -- Eduard Bloch <blade@debian.org>  Thu, 21 May 2009 16:17:28 +0200

icewm (1.2.37-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Mon, 26 Jan 2009 00:18:14 +0100

icewm (1.2.36-1) unstable; urgency=low

  * New upstream release

 -- Eduard Bloch <blade@debian.org>  Fri, 05 Dec 2008 21:23:34 +0100

icewm (1.2.35-1) unstable; urgency=low

  * New upstream release with one fix from CVS
  * Automatic linking with gcc -lsupc++ fixed (failed in recent versions),
    also using "-Wl,--as-needed"

