=== debian/control ===
Source: icewm
Section: x11
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 5.0.51), libxrender-dev, libgnome2-dev, libgnomevfs2-dev, libgnome-desktop-dev, gettext, xfonts-utils, libxft-dev (>> 2.1.1) | libxft2-dev, libesd0-dev, libpng12-dev, libsm-dev, libx11-dev, libxext-dev, libxft-dev, libxinerama-dev, libxpm-dev (>= 1:3.5.4.2-3), libxrandr-dev, x11proto-core-dev | x-dev, linuxdoc-tools, libxt-dev, autotools-dev, libgnomeui-dev
Build-Conflicts: libttf-dev
Standards-Version: 3.8.4

Package: icewm-common
Architecture: any
Conflicts: menu (<< 2.1.9-1)
Replaces: icewm (<< 1.2.14)
Suggests: icewm-themes, icepref, iceme, grun, xlockmore
Depends: ${misc:Depends}
Recommends: menu
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. Can emulate the look of
 Windows'95, OS/2 Warp 3,4, Motif. Tries to take the best features of the above
 systems.
 Features multiple workspaces, opaque move/resize, task bar, window list,
 mailbox status, digital clock. Fast and small.
 .
 This package provides the common files for icewm, icewm-experimental and
 icewm-lite binary packages.

Package: icewm
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: ttf-bitstream-vera, icewm-gnome-support
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 GNOME support files can be found in the `icewm-gnome-support' package.
 .
 Extra themes are available from the icewm-themes package.

Package: icewm-gnome-support
Section: gnome
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gnome-control-center (<< 1:2.0), icewm-gnome
Provides: icewm-gnome
Replaces: icewm-gnome
Description: GNOME support files for IceWM
 This package provides all files needed for IceWM to enable GNOME
 related features.
 .
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif.

Package: icewm-lite
Architecture: any
Depends: icewm-common (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 This package provides a minimal icewm binary with no support for
 taskbar and antialiased fonts.
 .
 Extra themes are available from the icewm-themes package.

Package: icewm-experimental
Architecture: any
Depends: icewm (= ${binary:Version}), icewm-common (= ${binary:Version}), ${misc:Depends}
Provides: x-window-manager
Description: wonderful Win95-OS/2-Motif-like window manager
 IceWm is a Window Manager for X Window System. It is fast and
 memory-efficient, and it provides many different looks including Windows'95,
 OS/2 Warp 3,4, Motif. It tries to take the best features of the above
 systems. Additional features include  multiple workspaces, opaque move/resize,
 task bar, window list, mailbox status, digital clock.
 .
 This package sometimes provides special IceWm versions with experimental
 features enabled. When the configurations of the packages do not diverge
 it simply enforces an upgrade to the current icewm package.
