=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules for icewm

SHELL=/bin/bash

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

ICEWM_COMMON=$(CURDIR)/debian/icewm-common
ICEWM=$(CURDIR)/debian/icewm
ICEWM_GNOME_SUPP=$(CURDIR)/debian/icewm-gnome-support
ICEWM_LITE=$(CURDIR)/debian/icewm-lite
ICEWM_EXP=$(CURDIR)/debian/icewm-experimental
DOCDIR=/usr/share/doc/icewm-common

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

ICONS=$(CURDIR)/debian/icons
GDM=$(CURDIR)/debian/gdm
CUSTOM=$(CURDIR)/debian/custom
MP=icewm-common.7

conf-exp: stamp-conf-exp

stamp-conf-exp:
	./configure $(confflags) \
		--disable-menus-gnome1 --disable-menus-gnome2 \
		--prefix=/usr --with-cfgdir=/etc/X11/icewm \
		--datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls \
		--enable-antialiasing  --enable-shaped-decorations \
		--enable-gradients \
		--with-mkfontdir=/usr/X11R6/bin/mkfontdir \
		--docdir=$(DOCDIR) --htmldir=$(DOCDIR)/html \
		--enable-guievents --with--esd-config=/usr/bin/esd-config

	$(MAKE) EXEEXT=-experimental
	$(MAKE) srcclean
	touch stamp-conf-exp

conf-lite: stamp-conf-lite
stamp-conf-lite:
	PATH="$(CURDIR)/debian:$(PATH)"	./configure $(confflags) --with-xpm --prefix=/usr \
		--disable-menus-gnome1 --disable-menus-gnome2 \
		--with-cfgdir=/etc/X11/icewm --datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls --enable-lite --disable-xfreetype \
		--enable-corefonts --with-mkfontdir=/usr/X11R6/bin/mkfontdir \
		--docdir=$(DOCDIR) --htmldir=$(DOCDIR)/html \
		--disable-taskbar  --disable-xrandr
	$(MAKE) EXEEXT=-lite
	$(MAKE) srcclean
	touch stamp-conf-lite

conf: stamp-conf

stamp-conf:
	PATH="$(CURDIR)/debian:$(PATH)"	./configure $(confflags) \
		--prefix=/usr --with-cfgdir=/etc/X11/icewm \
		--enable-menus-gnome2 \
		--datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls \
		--enable-antialiasing  --enable-shaped-decorations \
		--enable-gradients \
		--with-mkfontdir=/usr/X11R6/bin/mkfontdir \
		--docdir=$(DOCDIR) --htmldir=$(DOCDIR)/html \
		--enable-guievents --with--esd-config=/usr/bin/esd-config
	$(MAKE)
	touch stamp-conf

# backup, the Sarge default build rule
stamp-conf-original:
	./configure $(confflags) --with-imlib --prefix=/usr \
		--enable-menus-gnome2 \
		--with-cfgdir=/etc/X11/icewm --datadir=/usr/share --disable-debug \
		--enable-i18n --enable-nls \
		--with-mkfontdir=/usr/X11R6/bin/mkfontdir --enable-shaped-decorations
	$(MAKE) 
	touch stamp-conf

build: build-stamp
build-stamp:
	dh_testdir
	chmod +x debian/kde-config
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	# Make icewm-experimental
#	-sh debian/patches/pmu_support.dpatch -patch
#	$(MAKE) $(MFLAGS) -f debian/rules conf-exp
#	-sh debian/patches/pmu_support.dpatch -unpatch

	# Make icewm-lite
	$(MAKE) $(MFLAGS) -f debian/rules conf-lite

	# Make icewm
	# default flavor does not clean the source!
	$(MAKE) $(MFLAGS) -f debian/rules conf

	#hm... best place to run that?!
	# cp -a po pod && cd pod && make merge && for x in *.po ; do cp $${x}x $$x ; done

	$(MAKE) -C doc

# making -experimental compat symlinks
	cd src ; for x in icewm-session icewm icewmhint icehelp icewmtray icewmbg icesh icesound genpref ; do ln -sf $$x $$x-experimental ; done

	# Generate the most exhaustive preference file, i.e. the one
	# from the experimental version.
	src/genpref-experimental > lib/preferences 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f *-stamp

	$(MAKE) srcclean EXEEXT=-experimental || true
	$(MAKE) srcclean EXEEXT=-lite || true
	$(MAKE) distclean || true

	# Extra clean ups
	$(MAKE) -C po clean || true
	rm -f stamp* `find . -name "*~"` Makefile icewm.lsm icewm.spec src/icesound-* config.log

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install everything but documentation
	$(MAKE) install-base install-nls install-desktop DESTDIR=$(ICEWM_COMMON)

	## icewm-common

	# Do not provide a programs files, it is added by the menu system
	rm -f $(ICEWM_COMMON)/etc/X11/icewm/programs

	# Install Debian custom files
	install -m 644 $(ICONS)/{mutt,mozilla,icewm}*.xpm \
		$(ICEWM_COMMON)/usr/share/icewm/icons
	-mv $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.xpm  $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.orig.xpm
	install -m 644 $(CUSTOM)/debian.xpm $(ICEWM_COMMON)/usr/share/icewm/taskbar/icewm.xpm
	#install -m 644 $(CUSTOM)/{menu,toolbar} $(ICEWM_COMMON)/etc/X11/icewm
	install -m 644 $(CUSTOM)/toolbar $(CUSTOM)/menu $(ICEWM_COMMON)/etc/X11/icewm

	# Add some links
	dh_link -picewm-common

	# Move files in the right package directory
	mv $(ICEWM_COMMON)/usr/bin/icewm-set-gnomewm $(ICEWM_COMMON)/usr/share/icewm/
	mv $(ICEWM_COMMON)/usr/bin/* $(ICEWM)/usr/bin
	rm -rf $(ICEWM_COMMON)/usr/bin

	# Install documentation
	install -m 644 doc/*.html $(ICEWM_COMMON)/usr/share/doc/icewm-common/html
	install -m 644 doc/*.sgml $(ICEWM_COMMON)/usr/share/doc/icewm-common/sgml
	dh_installdocs -X.svn
	mv $(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ/source/* $(ICEWM_COMMON)/usr/share/doc/icewm-common/sgml && rm -rf $(ICEWM_COMMON)/usr/share/doc/icewm-common/FAQ/source

	# and add our bits to fix the font insanity with xft2
	dh_installexamples -picewm-common $(CURDIR)/debian/examples/preferences.fonts $(CURDIR)/debian/examples/preferences.noClickToFocus $(CURDIR)/debian/examples/focus_mode.noClickToFocus

	## icewm #####################################################

	# Install the fd.o X Sessions file
	install -m 644 $(GDM)/IceWM.desktop $(ICEWM)/usr/share/xsessions

	# new, made by upstream, not decided yet how to port to other flavors
	mv $(ICEWM_COMMON)/usr/share/xsessions/icewm-session.desktop $(ICEWM)/usr/share/xsessions
	# we already have one...
	-rm $(ICEWM_COMMON)/usr/share/applications/*desktop

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM)/usr/share/doc/icewm

	## icewm-gnome-support #######################################

	mv $(ICEWM)/usr/bin/icewm-menu-gnome2 $(ICEWM_GNOME_SUPP)/usr/bin
	install -m 755 -d $(ICEWM_GNOME_SUPP)/usr/share/icewm/contrib
	install -m 755 debian/icewm-config-fix.pl $(ICEWM_GNOME_SUPP)/usr/share/icewm/contrib/config-fix.pl
	install -m 755 debian/icewm-gnome $(ICEWM_GNOME_SUPP)/usr/bin/icewm-gnome
	mv $(ICEWM_COMMON)/usr/share/applications $(ICEWM_GNOME_SUPP)/usr/share

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM_GNOME_SUPP)/usr/share/doc/icewm-gnome-support

	## icewm-lite ################################################

	install -m 755 src/ice*-lite $(ICEWM_LITE)/usr/bin
	install -m 644 $(GDM)/IceWM-Lite.desktop $(ICEWM_LITE)/usr/share/xsessions

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM_LITE)/usr/share/doc/icewm-lite

	## icewm-experimental ########################################

	cp -a src/ice*-experimental $(ICEWM_EXP)/usr/bin
	install -m 644 $(GDM)/IceWM-Experimental.desktop $(ICEWM_EXP)/usr/share/xsessions

	# Remove doc directories since we will add links
	# to icewm-common instead.
	rm -rf $(ICEWM_EXP)/usr/share/doc/icewm-experimental

	cd debian ; for x in icewm icewm-lite icewm-experimental ; do mkdir -p $$x/usr/share/lintian/overrides ; cp $$x.lintian $$x/usr/share/lintian/overrides/$$x ; done

binary-indep: build install
